Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.objects.exception
Class ObjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.eindex.master.EViewException
                  com.stc.eindex.master.ProcessingException
                      com.stc.eindex.objects.exception.ObjectException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DuplicateChildKeyException, EmptyLocalIDException, EmptyObjectException, EmptySystemCodeException, InvalidFieldNameException, InvalidFieldValueException, InvalidKeyObjectException, InvalidKeyTypeException, NotNullableFieldException, PotentialDupMissingFieldException, UnfoundKeyNameException

public class ObjectException
extends ProcessingException

The ObjectException class is the parent exception class for all exceptions that occur when processing ObjectNode objects.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ObjectException()` Creates a new instance of the ObjectException class without an error message.
`ObjectException(java.lang.String msg)` Creates a new instance of the ObjectException class with an error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectException

    public ObjectException()

  Creates a new instance of the ObjectException class without an error message.

  Parameters:
    None.
  Throws:
    None.

### ObjectException

    public ObjectException(java.lang.String msg)

  Creates a new instance of the ObjectException class with an error message.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.